## org.apache.taglibs.standard.tag.rt.fmt
Class FormatNumberTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
                  org.apache.taglibs.standard.tag.rt.fmt.FormatNumberTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class FormatNumberTag

extends FormatNumberSupport

A handler for <formatNumber> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
`currencyCode, currencySymbol, groupingUsedSpecified, isGroupingUsed, maxFractionDigits, maxFractionDigitsSpecified, maxIntegerDigits, maxIntegerDigitsSpecified, minFractionDigits, minFractionDigitsSpecified, minIntegerDigits, minIntegerDigitsSpecified, pattern, type, value, valueSpecified`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatNumberTag()`

Method Summary
`void` `setCurrencyCode(String currencyCode)`
`void` `setCurrencySymbol(String currencySymbol)`
`void` `setGroupingUsed(boolean isGroupingUsed)`
`void` `setMaxFractionDigits(int maxDigits)`
`void` `setMaxIntegerDigits(int maxDigits)`
`void` `setMinFractionDigits(int minDigits)`
`void` `setMinIntegerDigits(int minDigits)`
`void` `setPattern(String pattern)`
`void` `setType(String type)`
`void` `setValue(Object value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport
`doEndTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### FormatNumberTag

    public FormatNumberTag()

Method Detail

### setValue

    public void setValue(Object value)
                  throws JspTagException

  Throws:
    `JspTagException`

### setType

    public void setType(String type)
                 throws JspTagException

  Throws:
    `JspTagException`

### setPattern

    public void setPattern(String pattern)
                    throws JspTagException

  Throws:
    `JspTagException`

### setCurrencyCode

    public void setCurrencyCode(String currencyCode)
                         throws JspTagException

  Throws:
    `JspTagException`

### setCurrencySymbol

    public void setCurrencySymbol(String currencySymbol)
                           throws JspTagException

  Throws:
    `JspTagException`

### setGroupingUsed

    public void setGroupingUsed(boolean isGroupingUsed)
                         throws JspTagException

  Throws:
    `JspTagException`

### setMaxIntegerDigits

    public void setMaxIntegerDigits(int maxDigits)
                             throws JspTagException

  Throws:
    `JspTagException`

### setMinIntegerDigits

    public void setMinIntegerDigits(int minDigits)
                             throws JspTagException

  Throws:
    `JspTagException`

### setMaxFractionDigits

    public void setMaxFractionDigits(int maxDigits)
                              throws JspTagException

  Throws:
    `JspTagException`

### setMinFractionDigits

    public void setMinFractionDigits(int minDigits)
                              throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.